Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ubase: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Thu, 23 Mar 2017 18:18:42 +0800

http://core.suckless.org/ubase
Suckless collection of unportable base
---
 testing/ubase/APKBUILD | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100644 testing/ubase/APKBUILD
diff --git a/testing/ubase/APKBUILD b/testing/ubase/APKBUILD
new file mode 100644
index 0000000000..2a5aa9c958
--- /dev/null
+++ b/testing/ubase/APKBUILD
_at_@ -0,0 +1,24 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=ubase
+pkgver=0.1
+pkgrel=0
+pkgdesc="Suckless collection of unportable base"
+url="http://core.suckless.org/ubase"
+arch="all"
+license="MIT"
+subpackages="$pkgname-doc"
+source="http://dl.suckless.org/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
+}
+
+sha512sums="3d9feed9670cf2ad6a8af32d1ecf3c206c81c618ed4548127ff2ab18bf03dd31fb89abf7fc598c4422aa348099a62cf7bc0f7c5dbf652ecd0349afb5a1f30b34  ubase-0.1.tar.gz"
-- 
2.12.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 23 2017 - 18:18:42 GMT